Get Transaction Request Status
curl --request GET \
--url https://hg.cash/api/v1/transaction/{id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/transaction/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/transaction/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/transaction/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/transaction/{id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/transaction/{id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/transaction/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "789e0123-e89b-12d3-a456-426614174999",
"externalID": "REQ-2024-001234",
"status": "PENDING",
"errorMessage": null,
"errorCode": null,
"amount": 15000.5,
"createdAt": "2024-06-19T10:30:00Z",
"updatedAt": "2024-06-19T10:30:00Z"
}Transactions
Get Transaction Request Status
Retrieve the status of a transaction request created via /transactions.
Requires the bearer token of the user that created the request.
GET
/
transaction
/
{id}
/
status
Get Transaction Request Status
curl --request GET \
--url https://hg.cash/api/v1/transaction/{id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/transaction/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/transaction/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/transaction/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/transaction/{id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/transaction/{id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/transaction/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "789e0123-e89b-12d3-a456-426614174999",
"externalID": "REQ-2024-001234",
"status": "PENDING",
"errorMessage": null,
"errorCode": null,
"amount": 15000.5,
"createdAt": "2024-06-19T10:30:00Z",
"updatedAt": "2024-06-19T10:30:00Z"
}Authorizations
User API authentication token with format cash_<64-char-hex>. Sample value cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.
Path Parameters
Transaction request ID
Response
Status retrieved
Transaction request ID
Example:
"789e0123-e89b-12d3-a456-426614174999"
Current transaction request status
Available options:
PENDING, AWAITING_REVIEW, PROCESSING, DONE, ERROR, CANCELLED Example:
"PENDING"
Transaction request amount (same type as POST /transactions input)
Example:
15000.5
Example:
"2024-06-19T10:30:00Z"
Example:
"2024-06-19T10:30:00Z"
External ID supplied when the request was created, if any
Example:
"REQ-2024-001234"
Error detail when status is ERROR; otherwise null
Machine-readable error code when status is ERROR; otherwise null
Available options:
INSUFFICIENT_BALANCE, DESTINATION_ERROR 
